## lumina-1.6.2.tar.gz

=== port-files/FreeBSD/deskutils/lumina-archiver/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-archiver
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	Archive manager from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>
