=== port-files/FreeBSD/x11/lumina/Makefile ===
# $FreeBSD$

PORTNAME=	lumina
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
PORTEPOCH=	3
CATEGORIES=	x11

MAINTAINER=	jt@ixsystems.com
COMMENT=	Lumina Desktop Environment (meta-port)

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	lumina-core>=0:x11/lumina-core \
		lumina-coreutils>=0:x11/lumina-coreutils \
		lumina-archiver>=0:deskutils/lumina-archiver \
		lumina-calculator>=0:deskutils/lumina-calculator \
		lumina-fileinfo>=0:deskutils/lumina-fileinfo \
		lumina-fm>=0:deskutils/lumina-fm \
		lumina-mediaplayer>=0:deskutils/lumina-mediaplayer \
		lumina-pdf>=0:deskutils/lumina-pdf \
		lumina-screenshot>=0:deskutils/lumina-screenshot \
		lumina-textedit>=0:deskutils/lumina-textedit 

CONFLICTS_INSTALL=	lumina-1.2.*

USES=		metaport

.include <bsd.port.mk>
