=== port-files/obsolete/debian/watch ===
version=3
https://github.com/pcbsd/lumina/releases/ .*/v(\d[\d\.]+)-Release\.tar\.gz
